// priority: 5

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

//console.info('Loading custom Create recipes (mixing, pressing, and similar)')

onEvent('recipes', event => {
	
	//Mixing
	//Rocky Dirt 
	event.recipes.createMixing('decorative_blocks:rocky_dirt', [
		'minecraft:dirt',
		'minecraft:gravel',
		'create:limesand',
		'2x minecraft:clay_ball'
	])
	
	//Blueprint Paper (Silent Gear)
	event.recipes.createMixing('silentgear:blueprint_paper', [
		'2x minecraft:paper',
		'#forge:dyes/blue',
		'2x silentgear:flax_fiber',
		'#forge:workbench'
	])
	
	//Cobwebs 
	event.recipes.createMixing('minecraft:cobweb', [
		'5x minecraft:string',
		'2x silentgear:fine_silk',
		'minecraft:slime_block',
	])
	
	//Ether Soil 
	event.recipes.createMixing('8x byg:ether_soil', [
		'8x minecraft:dirt',
		'minecraft:dragon_breath'
	])
	
	//BYG Colored Sands
	event.recipes.createMixing('2x byg:purple_sand', [
		'byg:blue_sand',
		'byg:pink_sand'
	])
	
	event.recipes.createMixing('3x byg:purple_sand', [
		'byg:blue_sand',
		'minecraft:red_sand',
		'byg:white_sand'
	])
	
	event.recipes.createMixing('8x byg:blue_sand', [
		'8x #forge:sand/colorless',
		'1x #forge:dyes/blue'
	])
	
	event.recipes.createMixing('8x byg:purple_sand', [
		'8x #forge:sand/colorless',
		'1x #forge:dyes/purple'
	])
	
	event.recipes.createMixing('8x byg:pink_sand', [
		'8x #forge:sand/colorless',
		'1x #forge:dyes/pink'
	])
	
	//Soul Sand
	event.recipes.createMixing('16x minecraft:soul_sand', [
		'12x #forge:sand',
		'#lightweight_adventures:fungi',
		'byg:soul_shroom_block',
		'alexsmobs:soul_heart'
	])

	//Subzero Ash
	event.recipes.createMixing('8x byg:subzero_ash_block', [
		'8x byg:black_sand',
		'byg:subzero_crystal_shard'
	])
	event.recipes.createMixing('8x byg:subzero_ash_block', [
		'8x minecraft:gray_concrete_powder',
		'byg:subzero_crystal_shard'
	])
	
	//Frost Magma
	event.recipes.createMixing('2x byg:frost_magma', [
		'2x minecraft:magma_block',
		'3x byg:subzero_crystal_shard'
	])

	//Processor Binding
	event.recipes.createMixing('8x refinedstorage:processor_binding', [
		'#forge:slimeballs',
		'2x #forge:string'
	]).heated

	//Mixing with Heat
	//Cryptic Stone
	event.recipes.createMixing('9x byg:cryptic_stone', [
		'8x minecraft:end_stone',
		'minecraft:redstone',
	]).heated()

	//Mixing: Making Cryptic Magma Blocks using Magma Blocks, Redstone, and applying heat 
	event.recipes.createMixing('4x byg:cryptic_magma_block', [
		'4x minecraft:magma_block',
		'minecraft:redstone',
	]).heated()
	
	//Mixing: Make 1 Blue (Cascading) Archwood Sapling, using any 3 archwood saplings, 8 raw fish (any), 2 source berries, and 2 blue dye
	event.recipes.createMixing('ars_nouveau:blue_archwood_sapling', [
		'3x #forge:saplings/archwood',
		'8x #forge:raw_fishes',
		'2x ars_nouveau:mana_berry',
		'2x #forge:dyes/blue'
	]).heated()
	
	//Mixing: Make 1 Green (Flourishing) Archwood Sapling, using any 3 archwood saplings, 8 dense grit dirt, 2 source berries, and 2 lime dye
	event.recipes.createMixing('ars_nouveau:green_archwood_sapling', [
		'3x #forge:saplings/archwood',
		'8x engineersdecor:dense_grit_dirt_block',
		'2x ars_nouveau:mana_berry',
		'2x #forge:dyes/lime'
	]).heated()
	
	//Mixing: Make 1 Purple (Vexing) Archwood Sapling, using any 3 archwood saplings, 8 fluffy fabric, 2 source berries, and 2 purple dye
	event.recipes.createMixing('ars_nouveau:blue_archwood_sapling', [
		'3x #forge:saplings/archwood',
		'8x silentgear:fluffy_fabric',
		'2x ars_nouveau:mana_berry',
		'2x #forge:dyes/purple'
	]).heated()
	
	//Mixing: Make 1 Green (Flourishing) Archwood Sapling, using any 3 archwood saplings, 8 charcoal, 2 source berries, and 2 red dye
	event.recipes.createMixing('ars_nouveau:red_archwood_sapling', [
		'3x #forge:saplings/archwood',
		'8x minecraft:charcoal',
		'2x ars_nouveau:mana_berry',
		'2x #forge:dyes/red'
	]).heated()
	
	//Pressing
	//Steel Plates
	event.recipes.createPressing('immersiveengineering:plate_steel', '#forge:ingots/steel')
	
	//Compacting
	//Soul Soil
	event.recipes.createCompacting('minecraft:soul_soil', [
		'4x minecraft:soul_sand'
	])
		
	//Void Upgrade
	event.recipes.createCompacting('storagedrawers:void_upgrade', [
		'8x cyclic:trash',
		'storagedrawers:upgrade_template'
	])
	
	//Compacting (Heated)
	
	event.recipes.createCompacting('byg:travertine', [
		'4x byg:subzero_ash_block'
	]).heated()
	
	//Compacting (Superheated)
	
	//Refined Storage Processors
	event.recipes.createCompacting('refinedstorage:basic_processor', [
		'refinedstorage:raw_basic_processor',
		'refinedstorage:processor_binding',
		'refinedstorage:silicon',
		'minecraft:redstone'
	]).superheated()
	event.recipes.createCompacting('refinedstorage:improved_processor', [
		'refinedstorage:raw_improved_processor',
		'refinedstorage:processor_binding',
		'refinedstorage:basic_processor',
		'minecraft:redstone'
	]).superheated()
	event.recipes.createCompacting('refinedstorage:advanced_processor', [
		'refinedstorage:raw_advanced_processor',
		'refinedstorage:processor_binding',
		'refinedstorage:improved_processor',
		'minecraft:redstone'
	]).superheated()
})